分享

麒麟商店无法启动

monster 2022-7-13 10:37:37 发表于 求助 [显示全部楼层] 回帖奖励 阅读模式 关闭右栏 5 772
启动麒麟商店时,发生如下错误,卸载重新安装xcb和商店无法恢复,求助各位大神:
user@user-C7F-G3:/data/apt-page$ kylin-software-center
/usr/bin/kylin-software-center
normal start
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Reinstalling the application may fix this problem.
已放弃


我做的尝试: 1、卸载重新安装xcb
user@user-C7F-G3:/data/apt-page$ sudo apt-get remove xcb
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
下列软件包将被【卸载】:
  xcb
升级了 0 个软件包,新安装了 0 个软件包,要卸载 1 个软件包,有 551 个软件包未被升级。
解压缩后将会空出 57.3 kB 的空间。
您希望继续执行吗? [Y/n] Y
(正在读取数据库 ... 系统当前共安装有 242190 个文件和目录。)
正在卸载 xcb (2.4-4.3kord) ...
正在处理用于 man-db (2.7.5-1kord) 的触发器 ...
user@user-C7F-G3:/data/apt-page$ sudo apt-get install xcb
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
下列【新】软件包将被安装:
  xcb
升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 551 个软件包未被升级。
需要下载 0 B/21.5 kB 的归档。
解压缩后会消耗 57.3 kB 的额外空间。
正在选中未选择的软件包 xcb。
(正在读取数据库 ... 系统当前共安装有 242184 个文件和目录。)
正准备解包 .../xcb_2.4-4.3kord_arm64.deb  ...
正在解包 xcb (2.4-4.3kord) ...
正在处理用于 man-db (2.7.5-1kord) 的触发器 ...
正在设置 xcb (2.4-4.3kord) ...
user@user-C7F-G3:/data/apt-page$ kylin-software-center
/usr/bin/kylin-software-center
normal start
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Reinstalling the application may fix this problem.
已放弃

我做的尝试:2、卸载重新安装商店
user@user-C7F-G3:/data/apt-page$ sudo apt-get remove kylin-software-center
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
下列软件包是自动安装的并且现在不需要了:
  python3-crypto ubuntukylin-keyring
使用'sudo apt autoremove'来卸载它(它们)。
下列软件包将被【卸载】:
  kylin-software-center
升级了 0 个软件包,新安装了 0 个软件包,要卸载 1 个软件包,有 551 个软件包未被升级。
解压缩后将会空出 362 MB 的空间。
您希望继续执行吗? [Y/n] Y
(正在读取数据库 ... 系统当前共安装有 242190 个文件和目录。)
正在卸载 kylin-software-center (4.5.45kord1) ...
正在处理用于 libc-bin (2.23-0kord11k20.5) 的触发器 ...
正在处理用于 desktop-file-utils (0.22-1kord5) 的触发器 ...
正在处理用于 bamfdaemon (0.5.3~bzr0+16.04.20160415-0kord1) 的触发器 ...
Rebuilding /usr/share/applications/bamf-2.index...
正在处理用于 mime-support (3.59kord1) 的触发器 ...
正在处理用于 hicolor-icon-theme (0.15-0kord1) 的触发器 ...
正在处理用于 dbus (1.10.6-1kord3.4) 的触发器 ...
user@user-C7F-G3:/data/apt-page$ sudo apt-get install kylin-software-center
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
下列【新】软件包将被安装:
  kylin-software-center
升级了 0 个软件包,新安装了 1 个软件包,要卸载 0 个软件包,有 551 个软件包未被升级。
需要下载 0 B/178 MB 的归档。
解压缩后会消耗 362 MB 的额外空间。
正在选中未选择的软件包 kylin-software-center。
(正在读取数据库 ... 系统当前共安装有 236488 个文件和目录。)
正准备解包 .../kylin-software-center_4.5.45kord1_arm64.deb  ...
正在解包 kylin-software-center (4.5.45kord1) ...

正在处理用于 libc-bin (2.23-0kord11k20.5) 的触发器 ...
正在处理用于 dbus (1.10.6-1kord3.4) 的触发器 ...
正在处理用于 hicolor-icon-theme (0.15-0kord1) 的触发器 ...
正在处理用于 desktop-file-utils (0.22-1kord5) 的触发器 ...
正在处理用于 bamfdaemon (0.5.3~bzr0+16.04.20160415-0kord1) 的触发器 ...
Rebuilding /usr/share/applications/bamf-2.index...
正在处理用于 mime-support (3.59kord1) 的触发器 ...
正在设置 kylin-software-center (4.5.45kord1) ...
正在处理用于 libc-bin (2.23-0kord11k20.5) 的触发器 ...
user@user-C7F-G3:/data/apt-page$ kylin-software-center
/usr/bin/kylin-software-center
normal start
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Reinstalling the application may fix this problem.
已放弃


已有(5)人评论

跳转到指定楼层
fycjames实名认证 手机认证 发表于 2022-7-14 09:33:33 来自 中国浙江衢州
在终端中输入kylin-software-center看看报错
回复

使用道具 举报

monster手机认证 实名认证 发表于 2022-7-14 15:43:20 来自 中国
都在帖子里面了,烦请阅读
回复

使用道具 举报

monster手机认证 实名认证 发表于 2022-7-14 15:44:32 来自 中国
fycjames 发表于 2022-7-14 09:33
在终端中输入kylin-software-center看看报错

都在帖子里面了,烦请阅读
回复

使用道具 举报

fycjames实名认证 手机认证 发表于 2022-7-15 15:19:11 来自 中国浙江衢州
fycjames 发表于 2022-7-14 09:33
在终端中输入kylin-software-center看看报错

你重装完还是这个样子?
回复

使用道具 举报

monster手机认证 实名认证 发表于 2022-7-15 16:37:05 来自 中国
fycjames 发表于 2022-7-15 15:19
你重装完还是这个样子?

是的,所以才会来求助啊!操作的命令和反馈都在帖子里
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则